Subject: Re: [Last-Call] Opsdir last call review of draft-ietf-detnet-mpls-over-tsn-05

From: Balázs Varga A <[email-masked]>
Date: Mon, 8 Feb 2021 20:43:55 +0000

Hi Jürgen,

Many thanks for the review and the proposed changes.
Next version will be corrected based on your proposals.
See inline.

Many thanks

Bala'zs

-----Original Message-----
From: Jürgen Schönwälder via Datatracker <[email-masked]> 
Sent: Tuesday, January 26, 2021 10:48 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Opsdir last call review of draft-ietf-detnet-mpls-over-tsn-05

Reviewer: Jürgen Schönwälder
Review result: Has Nits

This is an informational document that claims to not state any new requirements or recommendations. I am not following the DetNet work and I only have a coarse understanding of MPLS. As such, I am not able to comment on technical details.

There are quite a few sentences that use lowercase 'must' referring to [IEEE8021CB] and [IEEEP8021CBdb]. These references are informational, it seems that [1] suggests that more references should be moved to the normative references section.

<Balazs> I will review all sentences with must statement and move the references to normative.

Since the document claims to not define requirements, I am wondering whether all the "must" statements can be found in other documents. For
example:

   A TSN-aware MPLS (DetNet) node implementations must support the
   Sequencing function and the Sequence encode/decode function as
   defined in Clause 7.4 and 7.6 of IEEE 802.1CB [IEEE8021CB] if FRER is
   used inside the TSN sub-network.

In which document do I find this must requirement? I think there should be references to those documents and the specific sections so that it is clear where these "must"s are originating from. (Or the initial promise that this document states not requirements is not quite correct.)

<Balazs> Yes. The TSN specific requirements are defined in the referred IEEE document. The document does not add new IP/MPLS related requirements.
I will make changes to clarify this.

[1] https://www.ietf.org/about/groups/iesg/statements/normative-informative-references/

Editorial nits:

s/flows with a low/flows with low/

s/provides congestion/provide congestion/

There are some grammar issues throughout the document, I guess the RFC editor will deal with them.

<Balazs> Thanks, I will correct these.